Bug 1353069 - background bitmap image disappeared when I copy slide and paste in same odp and different odp file
Summary: background bitmap image disappeared when I copy slide and paste in same odp a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-06 01:48 UTC by Won Young Choi
Modified: 2016-07-12 15:00 UTC (History)
5 users (show)

Fixed In Version: libreoffice-5.1.4.2-5.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 15:00:56 UTC


Attachments (Terms of Use)
no problem with creating new slide (122.36 KB, image/png)
2016-07-06 01:50 UTC, Won Young Choi
no flags Details
problem occurred after copy and paste. (107.21 KB, image/png)
2016-07-06 01:51 UTC, Won Young Choi
no flags Details

Description Won Young Choi 2016-07-06 01:48:36 UTC
Description of problem:

After copying slide and pasting it in same or other odp file, all slides using same background turned skyblue color background. 

Version-Release number of selected component (if applicable):

Fedora 24, libreoffice-impress.x86_64 1:5.1.4.2-4.fc24, libreoffice-core.x86_64 1:5.1.4.2-4.fc24

How reproducible:

copy and paste slide, turn background to skyblue color, but creating new slide is no problem.

Steps to Reproduce:
1. run impress and open any odp/ppt file.
2. copy slide and paste it anywhere including other odp/pdf file.
3. all slides using same background bitmap image change to skyblue color background. 

Actual results:

lose slide template property(background bitmap)

Expected results:

keep slide template property(background bitmap) 

Additional info:

Comment 1 Won Young Choi 2016-07-06 01:50:03 UTC
Created attachment 1176680 [details]
no problem with creating new slide

Comment 2 Won Young Choi 2016-07-06 01:51:14 UTC
Created attachment 1176681 [details]
problem occurred after copy and paste.

Comment 3 Caolan McNamara 2016-07-06 07:58:53 UTC
This appears to be a regression from...

commit b876bbe2cacce8af379b10d82da6c7e7d229b361
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Apr 26 09:17:11 2016 +0200

    rbhz#1326602 avoid exp. bg bitmaps from deleted slides

Comment 4 Fedora Update System 2016-07-09 14:39:03 UTC
libreoffice-5.1.4.2-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-983ce3851d

Comment 5 Fedora Update System 2016-07-10 15:57:27 UTC
libreoffice-5.1.4.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-983ce3851d

Comment 6 Won Young Choi 2016-07-11 10:18:21 UTC
Thanks for updating!
I've tested with new libreoffice-impress-5.1.4.2-5.f24 in testing repo.
It works fine!!

Comment 7 Fedora Update System 2016-07-12 15:00:37 UTC
libreoffice-5.1.4.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.